Open SCAP Library: oval_affected Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_affected Struct Reference
OVAL » OVALDEF

Each OVAL Definition specifies certain type of affected system(s). More...

`#include <oval_definitions.h>`

## Public Member Functions
struct oval_affected * | oval_affected_new (struct oval_definition_model *)
| Construct instance of oval_affected.
struct oval_affected * | oval_affected_clone (struct oval_definition_model *new_model, struct oval_affected *old_affected)
| Clone instance of oval_affected. More...
void | oval_affected_free (struct oval_affected *)
| Release instance of oval_affected.
Setters
void | oval_affected_set_family (struct oval_affected *, oval_affected_family_t family)
| Set oval_affected family.
void | oval_affected_add_platform (struct oval_affected *, char *platform_name)
| Append name to oval_affected platform names.
void | oval_affected_add_product (struct oval_affected *, char *product_name)
| Append name to oval_affected product names.
Getters
oval_affected_family_t | oval_affected_get_family (struct oval_affected *)
| Get member value oval_affected family. More...
struct oval_string_iterator * | oval_affected_get_platforms (struct oval_affected *)
| Get member values oval_affected platform_names. More...
struct oval_string_iterator * | oval_affected_get_products (struct oval_affected *)
| Get member values oval_affected product_names. More...

## Data Fields
struct oval_definition_model * | model
oval_affected_family_t | family
struct oval_collection * | platforms
struct oval_collection * | products

## Detailed Description

Each OVAL Definition specifies certain type of affected system(s).

The family, platform(s), and product(s) of this target are described by the Oval_affected component whose main purpose is to provide hints for tools using OVAL Definitions. For instance, to help a reporting tool only use Windows definitions, or to preselect only Red Hat definitions to be evaluated. Note, the inclusion of a particular platform or product does not mean the definition is physically checking for the existence of the platform or product. For the actual test to be performed, the correct test must still be included in the definition's criteria section.

The AffectedType complex type details the specific system, application, subsystem, library, etc. for which a definition has been written. If a definition is not tied to a specific product, then this element should not be included. The absence of the platform or product element can be thought of as definition applying to all platforms or products. The inclusion of a particular platform or product does not mean the definition is physically checking for the existence of the platform or product. For the actual test to be performed, the correct test must still be included in the definition's criteria section. To increase the utility of this element, care should be taken when assigning and using strings for product names. The schema places no restrictions on the values that can be assigned, potentially leading to many different representations of the same value. For example 'Internet Explorer' and 'IE'. The current convention is to fully spell out all terms, and avoid the use of abbreviations at all costs.

The documentation for this struct was generated from the following files:

- oval_affected.c
- oval_definitions.h